/*
* {
  border: 1px solid rgb(11, 231, 11);
}
*/

:root {
  --default-padding: 8px;
  font-size: 21px;
}

/* Font */
@font-face {
    font-family: "jersey_10";
    src: url("fonts\\jersey-10-v4-latin-regular.woff2");
}

@font-face {
    font-family: "pressstart2p";
    src: url("fonts\\press-start-2p-v16-latin-regular.woff2");
}

/* Cursor */
a, body {
    cursor: url('cursor\\altapaw.png'), auto;
}

html, body {
    margin: 0;
    height: 100%;
}

.title_h1 {
    font-family: "jersey_10", serif;   
    font-size: clamp(2rem, 5em, 10rem);
    color: white;
    position: absolute;
    top: 20%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    white-space: nowrap;
}

.title_a {
    font-family: "jersey_10", serif;   
    font-size: 2rem;
    color: white;
    position: absolute;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 200px;
    text-align: center;
    white-space: nowrap;
}

/* Media accessibility */
@media screen and (max-width: 1000px) {
    .title_h1 {
        width: 90%;
        top: 20%;
        font-size: 10vw;
    }

    .title_a {
        top: 30%;
    }
}

/* Font */
@font-face {
    font-family: "jersey_10";
    src: url("fonts/jersey-10-v4-latin-regular.woff2");
}

.title_alta {
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 500px;
    max-width: 100%;
}

/* Title background */
.titlebg {
    min-height: 100vh;
    width: 100%;
    background-image: url("bg\\dan-parlante-unsplash.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

/* Cloudscroll background */
.bg1 {
    position: fixed;
    inset: 0;
    z-index: -3;
    background-image: url("bg\\1.png");
    background-size: calc(var(--aspect) * 100vh) 100vh;
    --aspect: 576/324;
}

.bg2 {
    position: fixed;
    inset: 0;
    z-index: -2;
    background-image: url("bg\\2.png");
    animation: drift 60s linear infinite;
    background-repeat: repeat-x;
    background-size: calc(var(--aspect) * 100vh) 100vh;
    --aspect: 576/324;
}

.bg3 {
    position: fixed;
    inset: 0;
    z-index: -1;
    background-image: url("bg\\3.png");
    animation: drift 20s linear infinite;
    background-repeat: repeat-x;
    background-size: calc(var(--aspect) * 100vh) 100vh;
    --aspect: 576/324;
}

@keyframes drift {
    from { background-position: 0 0; }
    to   { background-position: calc(var(--aspect) * -100vh) 0; } 
}


/* box for header, nav, main, footer */
.box {
  width: 100%;
  max-width: 960px;
  margin: 30px auto;
  display: grid;
  grid-template-columns: 250px minmax(0, 1fr);
  grid-gap: 15px;
}

/* Navbar will sit on top for phones with this */
@media (max-width: 600px) {
  .box {
    display: flex;
    flex-direction: column;
    padding: 0px var(--default-padding);
  }
}

/* settings for main layout - header, nav, main, footer */
header, nav, footer {
  border-radius: 5px;
  outline: 3px solid #b3479a4f;
  box-shadow: 0 4px 8px rgba(127, 21, 191,0.7);
  background-image: linear-gradient(rgba(217, 214, 255, 0.904), rgba(245, 239, 255, 0.808));
}

/* Header fuckery */
header {
  display: grid;
  grid-template-columns: 1fr auto 1fr; /* 1fr is 1 fraction of the space */
  align-items: center;
  grid-row: 1 / 2;
  grid-column: 1 / 3;
  padding: var(--default-padding);
}

header > *:last-child {
  justify-self: end;
}

.content {
  position: relative;
  display: flex;
  flex-direction: column;
}

/* nav, main, footer */
nav {
  display: flex;
  flex-direction: column;
  grid-row: 2 / 3;
  grid-column: 1 / 2;
  height: max-content;
}

.window_button {
  background-color: #5e2ae9;
  color: white;
  width: 20px;
  height: 20px;
  border: none;
  border-radius: 5px;
  opacity: 0.8;
  font-size: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  padding: 0;
  line-height: 1;
}

.window_header {
  background-color: #9975ecd2;
  color: #664cd3;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: var(--default-padding);
  user-select: none;
  z-index: 1;
  border-radius: 5px;
  filter: saturate(0.5);
}

.window_title {
  font-family: "jersey_10", sans-serif;
  font-size: 2rem;
  color: #5325f7;
}

.window_content {
  padding: 0 var(--default-padding);
  flex-grow: 1;
  overflow-y: auto;
  scrollbar-color: #8c5afb #f1f1f1;
  scrollbar-width: thin;
  display: flex;
  flex-direction: column;
  color: #2f1a7a;
}

main {
  grid-row: 2 / 3;
  grid-column: 2 / 3;
  display: grid;
  width: 100%;
  grid-gap: 15px;
  grid-template-columns: 1fr 1fr;
}

  .main_intro {
    grid-row: 1 / 2;
    grid-column: 1 / 3;
    border-radius: 5px;
    outline: 3px solid #b3479a4f;
    box-shadow: 0 4px 8px rgba(127, 21, 191,0.7);
    background-image: linear-gradient(rgba(217, 214, 255, 0.904), rgba(245, 239, 255, 0.808));
  }

  .main_faq {
    grid-row: 2 / 3;
    grid-column: 1 / 2;
    border-radius: 5px;
    outline: 3px solid #b3479a4f;
    box-shadow: 0 4px 8px rgba(127, 21, 191,0.7);
    background-image: linear-gradient(rgba(217, 214, 255, 0.904), rgba(245, 239, 255, 0.808));
    height: max-content;
  }

  .main_game {
    grid-row: 2 / 3;
    grid-column: 2 / 3;
    border-radius: 5px;
    outline: 3px solid #b3479a4f;
    box-shadow: 0 4px 8px rgba(127, 21, 191,0.7);
    background-image: linear-gradient(rgba(217, 214, 255, 0.904), rgba(245, 239, 255, 0.808));
    height: max-content;
  }

@media (max-width: 600px) {
  main {
    display: flex;
    flex-direction: column;
  }
}

main h3 {
  text-align: center;
}

footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  grid-row: 3 / 4;
  grid-column: 1 / 3;
}

/* Image settings below */
.pic {
  max-width: 100%;
  height: auto;
  display: block;
  box-shadow: 0 4px 8px rgba(127, 21, 191,0.7);
  border-radius: 20px;
}

.logo {
  max-width: 210px;
  position: absolute;
  right: -10px;
  top: 15px;
  filter: drop-shadow(0px 2px 3px rgba(159, 99, 207, 0.7));
  z-index: 2;
}

@media (max-width: 600px) {
  .logo {
    max-width: 50vw;
    right: -20px;
    display: none;
  }
}

.center {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.altasewing {
  max-width: 180px;
  height: auto;
  filter: drop-shadow(0px 2px 3px rgba(127, 111, 214, 0.7));
  padding-bottom: 10px;
}

/* Font settings */
p, h1, h2, h3, h4, h5, h6, ul, ol, a {
  margin: 0;
  margin-top: 0.1em;
  margin-bottom: 0.1em;
  font-family: "jersey_10";
}

p {
  text-align: justify;
  hyphens: auto;
}

.title {
  font-family: "pressstart2p", sans-serif;
  font-size: clamp(2rem, 3em, 4rem);
  color: #7341ffd2;
}

@media (max-width: 600px) {
  .title {
    font-size: clamp(1.15rem, 5.5vw, 3rem);
  }
}

.dropshadow {
  filter: drop-shadow(0 2px 4px rgba(127, 111, 214, 0.7));
}






/* IMAGE CAROUSEL */
* {box-sizing:border-box}

/* Slideshow container */
.slideshow-container {
  width:100%;
  max-width: 960px;
  position: relative;
  margin: auto;
  overflow: hidden;
  outline: 2px solid #EDCCFF;
  border-radius:10px;
  box-shadow: 0 4px 8px rgba(127, 21, 191,0.7);
}

/* Hide the images by default */
.mySlides {
  display: none;
  position: relative;
}

.mySlides img {
  width: 100%;
  max-width: 960px;
  height: 500px;
  object-fit: contain;
  background-color: rgba(233, 196, 255, 0.5);
}

/* Next & previous buttons */
.prev, .next {
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.prev {
  left: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
  background-color: rgba(219, 158, 255,0.8);
}

/* Caption text */
.text {
  color: #f2f2f2;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
  font-family: sans-serif;
  font-size: 15px;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}



/* ROCK PAPER SCISSORS */





/* WEBSITES FOR SELF
Color picker: https://htmlcolorcodes.com/color-picker/
Cool widgets, add this to credits: https://www.mf2fm.com/rv/dhtmlclicksplosion.php
BG tiles: https://pixelmoondust.neocities.org/archives/archivedtiles
*/